CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
csl::Interleaver Class Reference

Interleaver handles copying interleaved sample buffers (like sound files and inter-process sockets) to/from non-interleaved CSL-style Buffer objects. More...

`#include <CSL_Core.h>`

List of all members.

## Public Member Functions
void | interleave (Buffer &output, SampleBuffer samples, unsigned numFrames, unsigned numChannels) throw (CException)
| Interleave = copy from CSL-style Buffer object to an interleaved sample vector.
void | interleave (Buffer &output, short *samples, unsigned numFrames, unsigned numChannels) throw (CException)
void | interleaveAndRemap (Buffer &output, SampleBuffer samples, unsigned numFrames, unsigned numChannels, unsigned *channelMap) throw (CException)
| Interleave = copy from CSL-style Buffer object to an interleaved sample vector Remap = re-assign channels from the source buffer to the target while interleaving.
void | deinterleave (Buffer &output, SampleBuffer samples, unsigned numFrames, unsigned numChannels) throw (CException)
| De-interleave = copy from interleaved SampleBuffer to CSL Buffer object.
void | deinterleave (Buffer &output, short *samples, unsigned numFrames, unsigned numChannels) throw (CException)

## Detailed Description

Interleaver handles copying interleaved sample buffers (like sound files and inter-process sockets) to/from non-interleaved CSL-style Buffer objects.

Definition at line 638 of file CSL_Core.h.

## Member Function Documentation

void Interleaver::interleave | ( | Buffer & | output,
|  | SampleBuffer | samples,
|  | unsigned | numFrames,
|  | unsigned | numChannels
| ) |  | throw (CException)

Interleave = copy from CSL-style Buffer object to an interleaved sample vector.

Definition at line 1131 of file CSL_Core.cpp.

References csl_min.

void Interleaver::interleave | ( | Buffer & | output,
|  | short * | samples,
|  | unsigned | numFrames,
|  | unsigned | numChannels
| ) |  | throw (CException)

Definition at line 1148 of file CSL_Core.cpp.

References csl_min.

void Interleaver::interleaveAndRemap | ( | Buffer & | output,
|  | SampleBuffer | samples,
|  | unsigned | numFrames,
|  | unsigned | numChannels,
|  | unsigned * | channelMap
| ) |  | throw (CException)

Interleave = copy from CSL-style Buffer object to an interleaved sample vector Remap = re-assign channels from the source buffer to the target while interleaving.

Remap = re-assign channels from the source buffer to the target while interleaving.

Definition at line 1165 of file CSL_Core.cpp.

References csl_min.

void Interleaver::deinterleave | ( | Buffer & | output,
|  | SampleBuffer | samples,
|  | unsigned | numFrames,
|  | unsigned | numChannels
| ) |  | throw (CException)

De-interleave = copy from interleaved SampleBuffer to CSL Buffer object.

Definition at line 1183 of file CSL_Core.cpp.

References csl_min.

Referenced by csl::IO::getInput(), csl::CslRtpSession::OnRTPPacket(), csl::CASoundFile::readBufferFromFile(), and csl::LSoundFile::readBufferFromFile().

void Interleaver::deinterleave | ( | Buffer & | output,
|  | short * | samples,
|  | unsigned | numFrames,
|  | unsigned | numChannels
| ) |  | throw (CException)

Definition at line 1207 of file CSL_Core.cpp.

References csl_min.

The documentation for this class was generated from the following files:

- CSL/Kernel/CSL_Core.h
- CSL/Kernel/CSL_Core.cpp